summaryrefslogtreecommitdiff
path: root/openwrt/scripts
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2005-10-21 17:20:24 +0000
committerFelix Fietkau <nbd@openwrt.org>2005-10-21 17:20:24 +0000
commit6a0c6639bec28210a2e277561849e30055433aa8 (patch)
treeed6a233d69343b3a0869cbea691c5bdd36f50278 /openwrt/scripts
parent1ae19adca517a58de3d5541db077477d5acf6976 (diff)
downloadmtk-20170518-6a0c6639bec28210a2e277561849e30055433aa8.zip
mtk-20170518-6a0c6639bec28210a2e277561849e30055433aa8.tar.gz
mtk-20170518-6a0c6639bec28210a2e277561849e30055433aa8.tar.bz2
update make-ipkg-dir.sh
SVN-Revision: 2209
Diffstat (limited to 'openwrt/scripts')
-rwxr-xr-xopenwrt/scripts/make-ipkg-dir.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/openwrt/scripts/make-ipkg-dir.sh b/openwrt/scripts/make-ipkg-dir.sh
index f725413..5674067 100755
--- a/openwrt/scripts/make-ipkg-dir.sh
+++ b/openwrt/scripts/make-ipkg-dir.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+BASE=http://svn.openwrt.org/openwrt/trunk/openwrt
TARGET=$1
CONTROL=$2
VERSION=$3
@@ -6,6 +7,13 @@ ARCH=$4
mkdir -p "$TARGET/CONTROL"
grep '^[^(Version|Architecture)]' "$CONTROL" > "$TARGET/CONTROL/control"
+grep '^Maintainer' "$CONTROL" 2>&1 >/dev/null || \
+ echo "Maintainer: OpenWrt Developers Team <openwrt-devel@openwrt.org>" >> "$TARGET/CONTROL/control"
+grep '^Source' "$CONTROL" 2>&1 >/dev/null || {
+ pkgbase=$(pwd | sed -e "s|^$TOPDIR/||g")
+ [ "$pkgbase" = "$WD" ] && src="N/A" || src="$BASE/$pkgbase"
+ echo "Source: $src" >> "$TARGET/CONTROL/control"
+}
echo "Version: $VERSION" >> "$TARGET/CONTROL/control"
echo "Architecture: $ARCH" >> "$TARGET/CONTROL/control"
chmod 644 "$TARGET/CONTROL/control"